Bug 1017184 - JNDI names of datasources are not following the same convention
JNDI names of datasources are not following the same convention
Status: CLOSED CURRENTRELEASE
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: RT Governance (Show other bugs)
6.0.0 GA
Unspecified Unspecified
unspecified Severity high
: ER7
: 6.0.0
Assigned To: Gary Brown
Andrej Vano
:
Depends On:
Blocks: 1038198
  Show dependency treegraph
 
Reported: 2013-10-09 07:52 EDT by Stefan Bunciak
Modified: 2014-07-02 05:19 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker RTGOV-297 Major Closed Use consistent datasource naming 2014-07-02 05:19:53 EDT

  None (edit)
Description Stefan Bunciak 2013-10-09 07:52:02 EDT
Description of problem:

Datasource JNDI names of GadgetServer and RTGov should be something like 'java:jboss/datasources/GadgetServer' (missing 'datasources') and 'java:jboss/datasources/OverlordRTGov' (missing 's') to follow some naming convention.

13:40:06,609 INFO  [org.jboss.as.connector.subsystems.datasources] (MSC service thread 1-2) JBAS010400: Bound data source [java:jboss/datasources/jbpmDS]
13:40:06,613 INFO  [org.jboss.as.connector.subsystems.datasources] (MSC service thread 1-7) JBAS010400: Bound data source [java:jboss/datasources/srampDS]
13:40:06,614 INFO  [org.jboss.as.connector.subsystems.datasources] (MSC service thread 1-7) JBAS010400: Bound data source [java:jboss/datasources/ExampleDS]
13:40:06,615 INFO  [org.jboss.as.connector.subsystems.datasources] (MSC service thread 1-7) JBAS010400: Bound data source [java:jboss/GadgetServer]
13:40:06,616 INFO  [org.jboss.as.connector.subsystems.datasources] (MSC service thread 1-7) JBAS010400: Bound data source [java:jboss/datasource/OverlordRTGov]


Version-Release number of selected component (if applicable):
6.0.0.ER4

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 2 JBoss JIRA Server 2013-10-15 06:59:45 EDT
Gary Brown <gary@brownuk.com> updated the status of jira RTGOV-297 to Resolved
Comment 3 Thomas Hauser 2013-12-04 11:03:08 EST
This involves changes in both the assembly providing the .cli scripts and the installer.
Comment 4 Thomas Hauser 2013-12-04 11:59:47 EST
Fixed in ba53c2cec8dfd63d9cfb3a528108377295c8b954 for the installer.
Comment 5 Andrej Vano 2013-12-17 09:29:35 EST
Hello,

verified on ER7-2
Comment 6 JBoss JIRA Server 2014-07-02 05:19:53 EDT
Gary Brown <gary@brownuk.com> updated the status of jira RTGOV-297 to Closed

Note You need to log in before you can comment on or make changes to this bug.